%define 	module	coverage
Summary:	Tool for measuring code coverage of Python programs
Name:		python-%{module}
Version:	3.7.1
Release:	5
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/c/coverage/%{module}-%{version}.tar.gz
# Source0-md5:	c47b36ceb17eaff3ecfab3bcd347d0df
URL:		http://nedbatchelder.com/code/coverage
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Coverage.py is a tool for measuring code coverage of Python programs.
It monitors your program, noting which parts of the code have been
executed, then analyzes the source to identify code that could have
been executed but was not.

%package -n python3-%{module}
Summary:	Tool for measuring code coverage of Python programs
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-%{module}
Coverage.py is a tool for measuring code coverage of Python programs.
It monitors your program, noting which parts of the code have been
executed, then analyzes the source to identify code that could have
been executed but was not.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build --build-base py2
%{__python3} setup.py build --build-base py3

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py build \
    --build-base py2 \
    install \
    --root=$RPM_BUILD_ROOT \
    --optimize=2

%{__python3} setup.py build \
    --build-base py3 \
    install \
    --root=$RPM_BUILD_ROOT \
    --optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%attr(755,root,root) %{_bindir}/coverage-%{py_ver}
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/htmlfiles
%if "%{py_ver}" > "2.4"
%{py_sitedir}/coverage-%{version}*.egg-info
%endif

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%attr(755,root,root) %{_bindir}/coverage-%{py3_ver}
%dir %{py3_sitedir}/%{module}
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}/htmlfiles
%{py3_sitedir}/*.egg-info
%changelog
* Tue Sep 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-coverage.git;a=log;h=master

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 54d0d8d
- rel 5; use py ver macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a0f427
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3eccefe
- python 3.5 rebuild
- release 3 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 67e021e
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ec3f6ca
- up to 3.7.1

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1739a70
- python 3.4
- release 3 (by relup.sh)

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> c122d38
- rebuild without py2 specific pythonegg() provides
- release 2 (by relup.sh)

* Wed Mar 27 2013 wrobell <wrobell@pld-linux.org> 4af080a
- added py3k package
- ver. 3.6

* Wed Oct 05 2011 zbyniu <zbyniu@pld-linux.org> 111ad2f
- *** empty log message ***

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> 3438689
- package all files; rel 1

* Wed Jan 20 2010 sparky <sparky@pld-linux.org> 61734f1
- BR: python-setuptools

* Wed Jan 20 2010 zbyniu <zbyniu@pld-linux.org> d1b1885
- raw

